Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Get the status of a send transaction request.
cURL
curl --request POST \ --url https://api.0xkey.io/public/v1/query/get_send_transaction_status \ --header 'Content-Type: application/json' \ --header 'X-Stamp: <api-key>' \ --data ' { "organizationId": "<string>", "sendTransactionStatusId": "<string>" } '
const options = { method: 'POST', headers: {'X-Stamp': '<api-key>', 'Content-Type': 'application/json'}, body: JSON.stringify({organizationId: '<string>', sendTransactionStatusId: '<string>'}) }; fetch('https://api.0xkey.io/public/v1/query/get_send_transaction_status', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://api.0xkey.io/public/v1/query/get_send_transaction_status" payload = { "organizationId": "<string>", "sendTransactionStatusId": "<string>" } headers = { "X-Stamp": "<api-key>", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.text)
{ "txStatus": "<string>", "eth": { "txHash": "<string>" }, "txError": "<string>", "error": { "message": "<string>", "revertChain": [ { "address": "<string>", "errorType": "<string>", "displayMessage": "<string>", "unknown": { "selector": "<string>", "data": "<string>" }, "native": { "nativeType": "<string>", "message": "<string>", "panicCode": "<string>" }, "custom": { "errorName": "<string>", "paramsJson": "<string>" } } ] } }
{ "code": 123, "message": "<string>", "details": [ { "@type": "<string>" } ] }
Unique identifier for a given organization.
The unique identifier of a send transaction request.
A successful response.
The current status of the send transaction.
Show child attributes
The error encountered when broadcasting or confirming the transaction, if any.